{ config, lib, pkgsStable, ... }:
{
  config = lib.mkIf config.home.desktop.enable {
    home.packages = with pkgsStable; [
      liberation_ttf
      twitter-color-emoji
      noto-fonts
      sarasa-gothic
      ubuntu_font_family
      (nerdfonts.override { fonts = [ "UbuntuMono" ]; })
    ];
    fonts.fontconfig = {
      enable = true;
      defaultFonts = {
        sansSerif = [ "Ubuntu" ];
        monospace = [ "UbuntuMono Nerd Font Mono" ];
        emoji = [ "Twitter Color Emoji" ];
      };
    };
  };
}
