{ config, pkgs, ... }:
{
  imports = [
    ./autostart
    ./hotkeys
    ./inputs
    ./outputs
    ./rules
    ./theme
  ];

  wayland.windowManager.sway = {
    enable = config.home.desktop.enable;
    package = null;
    wrapperFeatures.gtk = true;
    checkConfig = false;
    extraConfig = ''
      default_floating_border pixel ${config.look.border.string}
      hide_edge_borders --i3 smart
      titlebar_padding 10 1
      primary_selection disabled
      mouse_warping container
    '';
  };
}
